import edu.rice.cs.mint.runtime.Code;


public class Power_For {
    public static void main(String[] args) {
        final double x = 2;
        int n = 17;
        
        Code<Double> c = <| 1.0 |>;
        for(int i=0; i<n; ++i) {
            c = <| `c * x |>;
        }
        
        System.out.println(c.run());
    }
}
